%define name pysol
%define version 4.10
%define release 1mdk

Summary: PySol provides several solitaire card games
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Games/Cards
URL: http://wildsau.idv.uni-linz.ac.at/mfx/pysol.html
Source0: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
Requires: tcl >= 8.0.5
Requires: tk >= 8.0.5
Requires: python >= 1.5.2
BuildPrereq: ImageMagick, perl

%description
PySol has several solitaire card games, written in 100%% pure
Python. It has many features: unlimited undo and redo, load & save
games, player statistics, hint system, game plug-ins, and more!
Contains: klondike, freecel, spider, golf, etc.

%prep
%setup 

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install-bin install-data install-man
perl -pi -e "s%$RPM_BUILD_ROOT/usr%/usr%" $RPM_BUILD_ROOT/usr/bin/pysol

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 data/pysol.xpm $RPM_BUILD_ROOT/usr/share/icons/ 
convert -size 16x16 data/pysol.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/pysol.xpm

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
?package(%{name}): needs=x11 section=Amusement/Cards title=PySOL command=pysol icon=pysol.xpm
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%dir /usr/share/pysol
/usr/share/pysol/*
/usr/share/icons/pysol.xpm
/usr/share/icons/mini/pysol.xpm
/usr/bin/pysol
/usr/man/man6/pysol.6*
/usr/lib/menu/%{name}

%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%postun

if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%changelog
* Thu Apr 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.10-1mdk
- first mandrake version.

* Wed Jun 30 1999 Rodrigo Parra Novo <rodarvus@conectiva.com>
- Fixed a bug in the directory where the pixmap was being put

* Thu Jun 10 1999 Conectiva <dist@conectiva.com>
- Recompiled with glibc 2.1.x, egcs 1.1.x, rpm 3.0.x and kernel 2.2.x

* Sat Jun 05 1999 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- updated to 2.14

* Thu Mar 18 1999 Conectiva <dist@conectiva.com>
- i18n wmconfig
- added Group, Summary and %description translations

* Fri Mar 12 1999 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- initial package
